Please select Into the mobile phone version | Continue to access the computer ver.
DJI GO and iOS 11.2.6 Compatibility??
658 5 2018-3-9
Uploading and Loding Picture ...(0/1)
o(^-^)o
CarbonSE
lvl.4
Flight distance : 4409 ft
United States
Offline

Hello all   I have a p3SE and ipad 2017. The ipad wants to update to 11.2.6, do you think its needed and safe? Thanks for any info...
2018-3-9
Use props
DJI Elektra
Administrator
China
Offline

I would recommend you use the latest version of app. You can inform us if you find any problem.
2018-3-10
Use props
CarbonSE
lvl.4
Flight distance : 4409 ft
United States
Offline

DJI Elektra Posted at 2018-3-10 01:56
I would recommend you use the latest version of app. You can inform us if you find any problem.

haha very funny....I'm trying to avoid being the crash test dummy, so no you first elektra!
2018-3-10
Use props
Wingshooter
Second Officer
United States
Offline

Lets get serious with this question.

I have been putting off my iPhone Update.  It wants me to get 11.2.6

I also have not updated the DJI GO4.  It wants me to get 4.2.6

I am holding on the bird at .0602 and that is probably where I will stay.

I know a month or so ago DJI notified us not to upgrade the iPhone IOS.

Anybody have good information about going to 11.2.6 on iPhone and 4.2.6 for GO4?
2018-3-12
Use props
fans18126b4a
lvl.1
United States
Offline

i got my Phantom 4 in December, 2017.  Several weeks later, I purchase an iPad Mini which came with IOS 11.2.6.  I downloaded the DJI Go 4 App.  I have never had a problem with flying my quad or with the app crashing.
2018-3-18
Use props
fans77b38ca7
lvl.2
Flight distance : 15705 ft
Offline

No problems with the update.
2018-4-4
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules